GNUNET-NAT-AUTO(1)

NAME
gnunet-nat-auto - autoconfigure and test NAT traversal

SYNOPSIS
gnunet-nat-auto [-a | --auto] [-c FILENAME | --config=FILENAME] [-S NAME | --section=NAME] [-t | --tcp] [-u | --udp] [-w | --write]

DESCRIPTION
gnunet-nat-auto allows testing various NAT traversal functions, as well as attempting auto-configuration. The options are as follows:

-a | --auto
    Attempt auto-configuration for NAT traversal.

-c FILENAME | --config=FILENAME
    Use the configuration file FILENAME.

-S NAME | --section=NAME
    Name of the configuration section with details about the configuration to test. For example "transport-tcp".

-t | --tcp
    Use TCP.

-u | --udp
    Use UDP.

-w | --write
    Write configuration to configuration file, useful in combination with auto-configuration (-a).

EXAMPLES

  Automatic configuration:

    # gnunet-nat-auto -aw

Probe and write result to configuration

  Test configuration:

    # gnunet-nat-auto -t -S transport-tcp

Test TCP configuration

    # gnunet-nat-auto -t -S transport-http

Test HTTP configuration

    # gnunet-nat-auto -u -S transport-udp

Test UDP configuration

SEE ALSO
gnunet-nat(1), gnunet-transport(1)

The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook,

    info gnunet-c-tutorial

will give you access to a tutorial for developers.

Depending on your installation, this information is also available in gnunet(7) and gnunet-c-tutorial(7).

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.